apiVersion: v1
data:
  jcasc-default-config.yaml: |-
    jenkins:
      authorizationStrategy:
        loggedInUsersCanDoAnything:
          allowAnonymousRead: false
      securityRealm:
        local:
          allowsSignup: false
          enableCaptcha: false
          users:
          - id: "admin"
            name: "Jenkins Admin"
            password: "r6Y@QTb*7BQN@hDGsN"
      disableRememberMe: false
      mode: NORMAL
      numExecutors: 5
      labelString: ""
      projectNamingStrategy: "standard"
      markupFormatter:
        plainText
      clouds:
      - kubernetes:
          containerCapStr: "10"
          defaultsProviderTemplate: ""
          connectTimeout: "5"
          readTimeout: "15"
          jenkinsUrl: "http://jenkins.freeleaps-devops-system.svc.freeleaps.cluster:8080"
          name: "kubernetes"
          namespace: "freeleaps-devops-system"
          podLabels:
          - key: "jenkins/jenkins-agent"
            value: "true"
          serverUrl: "https://kubernetes.default"
          skipTlsVerify: false
          templates:
          - containers:
            - args: "^{computer.jnlpmac} ^{computer.name}"
              envVars:
              - envVar:
                  key: "JENKINS_URL"
                  value: "http://jenkins.freeleaps-devops-system.svc.freeleaps.cluster:8080/"
              image: "jenkins/inbound-agent:3273.v4cfe589b_fd83-1"
              name: "jnlp"
              resourceLimitCpu: 512m
              resourceLimitMemory: 512Mi
              resourceRequestCpu: 50m
              resourceRequestMemory: 64Mi
              workingDir: "/home/jenkins/agent"
            id: 6a_919e0c82_7f68_0d_e4_e_51614_2a_fc
            label: "jenkins-agent"
            name: "default"
            namespace: "freeleaps-devops-system"
            nodeUsageMode: "NORMAL"
            podRetention: never
            serviceAccount: "default"
            slaveConnectTimeout: 100
            slaveConnectTimeoutStr: "100"
            yamlMergeStrategy: override
      crumbIssuer:
        standard:
          excludeClientIPFromCrumb: true
      globalNodeProperties: []
    credentials:
      system:
        domainCredentials: 
          - credentials:
            - azure:
                azureEnvironmentName: "Azure"
                clientId: "7f115646-6a0a-445f-9976-b3832dd77a43"
                clientSecret: "Cia8Q~T-r-r5MftqCAJDOCmFckeMOKuo6xPvRcZT"
                description: "Freeleaps Jenkins System Principal"
                id: "freeleaps-jenkins-system-azure-principal"
                subscriptionId: "0a280068-dec4-4bf0-9f04-65b64f412b50"
                tenant: "cf151ee8-5c2c-4fe7-a1c4-809ba43c9f24"
                scope: "SYSTEM"
            - azureStorageAccount:
                blobEndpointURL: "https://freeleaps.blob.core.windows.net/"
                id: "freeleaps-azure-storage-account"
                scope: "GLOBAL"
                storageAccountName: "freeleaps"
                storageKey: "ma7vlPvKrJkEU/oDCEF3CbCIZD31INoDykmxcChbzhGnh1laTjlFLTrUatnhuwoy/Csx9/UpkEce+AStZoO+/A=="
    security:
      apiToken:
        creationOfLegacyTokenEnabled: false
        tokenGenerationOnCreationEnabled: false
        usageStatisticsEnabled: true
      scriptApproval:
        forceSandbox: true
    unclassified:
      location:
        adminAddress: "address not configured yet <nobody@nowhere>"
        url: "https://jenkins.mathmast.com/"
      azureKeyVault:
        keyVaultUrl: "https://freeleaps-secrets.vault.azure.net"
        credentialID: "freeleaps-jenkins-system-azure-principal"
      globalItemStorage:
        storage:
          azure:
            containerName: "freeleaps-devops-caches"
            credentialsId: "freeleaps-azure-storage-account"
      globalLibraries:
        libraries:
        - defaultVersion: "master"
          name: "first-class-pipeline"
          retriever:
            legacySCM:
              clone: true
              libraryPath: "first-class-pipeline/"
              scm:
                scmGit:
                  branches:
                  - name: "master"
                  buildChooser: "default"
                  userRemoteConfigs:
                  - credentialsId: "freeleaps-ops-git-credentials"
                    url: "https://gitea.freeleaps.mathmast.com/freeleaps/freeleaps-ops.git"
kind: ConfigMap
metadata:
  name: jenkins-jcasc-config
  namespace: freeleaps-devops-system
